Getting Started with KendoReact

Updated on Jan 12, 2026

In this article, you'll learn the basics about working with KendoReact. First, you’ll complete the installation steps necessary to get KendoReact up and running. Next, you’ll see how to use multiple KendoReact components. And finally, you’ll find a few useful learning resources that will help you be successful with KendoReact.

Let’s get started.

ninja-iconNew to KendoReact? KendoReact is an enterprise-grade React UI library with 120+ free and premium components for building polished, performant apps. Test-drive its full capabilities with a free 30-day trial.Start Free Trial

Installing Your First KendoReact Component

Prerequisites

KendoReact now offers seamless compatibility with React 19, empowering you to build modern, fast, and robust UI components with confidence. Start building with the latest version of React today!

  • React 18 (or a version >= 16.8.x)
  • NodeJS LTS (or a version >= 14). Use the node -v command to check your node versions.
  • A bash terminal of your choice, for example, the one available in the Visual Studio Code console.

1. Creating the React App

The easiest way to start with KendoReact is to use the create-vite tool to bootstrap a KendoReact project supporting both JSX and TypeScript. The tool handles the following tasks for you:

  • Creates a new KendoReact project.
  • Configures the project to use TypeScript or JavaScript.
  • Optionally adds SASS support.

To start your first KendoReact project:

  1. Use npm to create and run the vite application.

    sh
    npm create vite@latest

    or

    sh
    yarn create vite

After executing the command, the interface will ask you to apply additional configurations to your project:

  1. Set the project name:

Here you can define the name of your project. For the needs of the current article, set the name of the application as my-app.

  1. When prompted, complete the step-by-step interactive project configuration. Make sure to select React as the project framework. You can choose any of the suggested variants.

  2. Finally, run the newly created project.

    sh
    cd my-app
    npm i
    npm run dev

You can skip the step-by-step project configuration by specifying the project name and adding -- --template if you are using NPM or --template if you are using Yarn straight from the command line. See Scaffolding Your First Vite Project for more CLI options.

sh
#npm
npm create vite@latest my-app -- --template react

# yarn
yarn create vite my-app --template react

2. Create a Vite Project using Kendo CLI

As an alternative to the default way of creating Vite projects, the Kendo CLI helps you generate projects with JavaScript or TypeScript. To generate a project with the Kendo CLI, you have to do the following:

  1. Install the @progress/kendo-cli package using the following command:
shell
npm i -g @progress/kendo-cli
  1. Use the following command to generate a new Vite project with Typescript:
shell
npx kendo react create vite MyKendoApp

The CLI also provides an option to define which Kendo Theme will be added to the generated project. To set a theme, add one of the following to the above commands:

  • --theme=default - Adds the Kendo Default Theme
  • --theme=bootstrap - Adds the Kendo Bootstrap Theme
  • --theme=material - Adds the Kendo Material Theme
  • --theme=fluent - Adds the Kendo Fluent Theme

The CLI allows you to specify the preferred styling. By default, the project will use CSS, but you can specify Sass if needed:

  • --styling=CSS - Use CSS styling (default)
  • --styling=Sass - Use Sass styling

The result of using the Kendo CLI will be a Vite project that has a KendoReact Grid component added to it. The Kendo CLI helps you test the KendoReact components fast and easy, but you can still use the Vite CLI, if preferred.

Below you will find information on how to add components to a Vite project, no matter how it is generated.

3. Using KendoReact Components

KendoReact is a library of 120+ UI components. In this section, you’ll learn how to use one of these components, the React Calendar, in only two steps.

The create-vite tool has already installed all KendoReact components and their dependencies. So the next step to use any of these components is importing them. KendoReact is distributed as multiple npm packages scoped to @progress. For example, the Calendar component is part of the @progress/kendo-react-dateinputs package.

  1. Install the dependencies for KendoReact Calendar, Grid, DropDownList and Window:
sh
npm i @progress/kendo-react-dateinputs @progress/kendo-react-grid @progress/kendo-react-dropdowns @progress/kendo-react-dialogs
  1. Import the Calendar into src/App.js.

    jsx
    import { Calendar } from '@progress/kendo-react-dateinputs';
  2. Then, add the Calendar component to your markup. Now you have a fully functioning calendar in two lines of code!

    jsx
    return (
        <div className="App">
            <h1>Hello KendoReact!</h1>
            <Calendar />
        </div>
    );
  3. Remove the default styling that is applied to the project by removing the index.css import in main.jsx.

  4. To style the Calendar component as well as the other KendoReact components, install the Default theme, which is one of the four beautiful themes for KendoReact.

sh
npm i @progress/kendo-theme-default
  1. Import the KendoReact Default theme in your main.jsx.
jsx
import '@progress/kendo-theme-default/dist/all.css';

After completing the above steps, run the project using npm run dev and navigate to the URL displayed in the console. You can view all the available commands in the scripts property in package.json.

Using any other KendoReact component is as straightforward as using the Calendar—you import the component and use the component’s markup in your apps.

As a final step to getting KendoReact up and running, let’s look at how to handle licensing.

4. Activating Your License Key for Premium Components

KendoReact is an enterprise-grade UI library with 120+ free and premium components. Over 50 components, such as the Calendar, are free to use without a license, even in production. However, if you want to unlock the premium components and features of KendoReact, you need to install a license key file.

Important: Both trial and commercial usage of premium KendoReact components require a license key file to be installed in your project. This includes:

  • Trial usage: Requires an active trial license key file to evaluate premium features
  • Commercial usage: Requires a valid commercial license key file for production use

Using any of the KendoReact premium UI components without a proper license key file will result in licensing warnings and watermarks appearing on the components.

Getting Your License Key

For Trial Users:

  1. Start a free trial to access premium components
  2. After signing up, download your trial license key from your Telerik account
  3. Follow the installation instructions below

For Commercial Users:

  1. Purchase a commercial license
  2. Download your commercial license key from your Telerik account
  3. Follow the installation instructions below

Since KendoReact version 5.16.0 (25 July 2023), a missing license causes a watermark to appear over selected components. For more information, see the Invalid License section. More information about the introduced changes can be found in this Invalid License section.

To experience the full potential of the KendoReact components, follow the instructions on the My License page to activate your license and hide the invalid/non-activated license attributes.

Now that you have a KendoReact theme installed, components imported, and licensing set up, you're ready to start developing with KendoReact! Feel free to explore the full list of KendoReact components or follow the tutorial below to learn how to combine multiple KendoReact components and make them work together.

Utilizing the KendoReact AI Tools

KendoReact provides AI-powered development assistance through a unified MCP (Model Context Protocol) server that delivers intelligent, context-aware help directly in your IDE. The MCP server automatically recognizes your Telerik license and activates the appropriate level of functionality:

  • Agentic UI Generator—Build complete, production-ready UIs using natural language prompts. Describe your desired page, layout, or component configuration, and the AI-powered generator will create responsive, styled React code with proper KendoReact component integration.

  • AI Coding Assistant—Get instant answers, code samples, and troubleshooting tips as you work with the KendoReact components. Ask the assistant to generate tailored snippets for specific components or explain how to enable particular features in your app.

This unified MCP server integrates seamlessly with your IDE to provide contextual help and automate repetitive tasks, making it easier to explore the library and build feature-rich applications faster. Give the AI tools a try as you follow this guide or build your next project!

Integrating Multiple KendoReact Components

KendoReact is a rich suite of modular React components. Next, you’ll use three of these components: the React Grid, React Window, and React DropDownList to build a small demo application.

Before continuing, first remove the Calendar from the page so that you have a blank app to work with.

1. Adding the KendoReact Data Grid

The KendoReact Data Grid provides 100+ ready-to-use features, covering everything from paging, sorting, filtering, editing, and grouping, to row and column virtualization and Excel/PDF export. This React Data Grid is free to use, but if you want to tap into its premium features, such as React server components (RSC) mode, custom cell rendering, advanced filtering, data export, and others, you need a commercial license or an active trial license.

In this section, you’ll try out several Grid features, but let’s start by importing the component and adding some sample data.

  1. Import the components into your src/App.js file.

    jsx
    import { Grid, GridColumn } from '@progress/kendo-react-grid';
  2. To add some sample data, create a src/products.json file, and then copy-paste this content from GitHub into the new file.

  3. Import the sample data into src/App.js.

    jsx
    import products from './products.json';
  4. Create a Grid and bind it to your list of products.

    jsx
    <Grid data={products}>
        <GridColumn field="ProductName" />
        <GridColumn field="UnitPrice" />
        <GridColumn field="UnitsInStock" />
        <GridColumn field="Discontinued" />
    </Grid>

When your browser refreshes, you’ll see your first basic KendoReact Data Grid. Next, you will add the DropDownList component, and then you will use it to enable Grid filtering and several advanced features.

2. Adding the KendoReact DropDownList

Adding the KendoReact DropDownList allows you to display all available categories of products. This is a free React DropDownList component, and you need a license to use its premium filtering and virtualization functionality.

To use the component, you must import it and bind it to data.

  1. Import the DropDownList into your src/App.js file.

    jsx
    import { DropDownList } from '@progress/kendo-react-dropdowns';
  2. Create a new src/categories.json file and paste this content from GitHub. This will be the sample data for the DropDownList.

  3. Import the newly added data.

    jsx
    import categories from './categories.json';
  4. Bind the DropDownList to a list of categories from the sample data.

    jsx
    <p>
        <DropDownList data={categories} dataItemKey="CategoryID" textField="CategoryName" />
    </p>

The data property of the DropDownList points to an array of objects or primitive values. In this case, you use an array of objects and therefore specify both the dataItemKey and textField properties.

To display a hint for the users when no item is selected, use the defaultItem property. The default item must have a field that matches the textField name.

The following code represents a sample DropDownList implementation that also renders the ID of the selected category next to the DropDownList. To achieve this, define a category field in the application state and implement an onChange handler.

To see the DropDownList in use, copy the sample code below and add it to your src/App.js file.

jsx
import React, { Component } from 'react';
import './App.scss';
import categories from './categories.json';
import { DropDownList } from '@progress/kendo-react-dropdowns';

function App() {
    const [category, setCategory] = React.useState(null);

    const handleDropDownChange = React.useCallback((event) => {
        setCategory(event.target.value.CategoryID);
    }, []);

    return (
        <div className="App">
            <h1>Hello KendoReact!</h1>
            <p>
                <DropDownList
                    data={categories}
                    dataItemKey="CategoryID"
                    textField="CategoryName"
                    defaultItem={{ CategoryID: null, CategoryName: 'Product categories' }}
                    onChange={handleDropDownChange}
                />
                &nbsp; Selected category ID: <strong>{category}</strong>
            </p>
        </div>
    );
}

export default App;

3. Configuring an Advanced React Grid with DropDownList Filtering

To make this sample Grid resemble a real-world scenario, let's use a portion of the Grid APIs and add the features listed below. Here you will also learn how to enable the local data operations of the Grid and configure the already created DropDownList to filter the bound data.

Enabling Grid Features

When you familiarize yourself with the Grid API, copy-paste the updated sample App.js code in your app and see the features listed below in use.

  • To activate scrolling, add a height style to the Grid (enabled by default).

    jsx
    <Grid style={{ height: '400px' }}></Grid>
  • Add user-friendly column titles.

    jsx
    <GridColumn field="ProductName" title="Product Name" />
  • Format the numbers in the Price column.

    jsx
    <GridColumn field="UnitPrice" title="Price" format="{0:c}" />
  • (Premium) Enable paging and sorting. These features require you to enable data operations.

    jsx
    <Grid pageable={true} sortable={true}></Grid>
  • (Premium) Display the boolean values in the Discontinued column as checkboxes. For this purpose, you will customize the table cell rendering through the cells property and a custom checkboxColumn component.

    jsx
    <Grid>
        <GridColumn field="Discontinued" cells={{ data: CheckboxColumn }} />
    </Grid>
    • To define the custom checkboxColumn component:

      jsx
      const CheckboxColumn = (props: GridCustomCellProps) => {
          return (
              <td {...props.tdProps} colSpan={1}>
                  <Checkbox type="checkbox" checked={props.dataItem[props.field]} disabled="disabled" />
              </td>
          );
      };
Enabling Local Data Operations

This section looks at some of the premium Data Grid features. To be able to complete this part of the tutorial, you need a commercial license or an active trial license.

Features like sorting, filtering, and paging require you to configure data operations. As the Grid in this tutorial is bound to local (client-side) data, enable local data operations by following these steps:

  1. Enable each data operation separately in the Grid declaration (pageable={true} and sortable={true}).

  2. Configure the data operation settings and the initial state of the Grid data. For example:

  3. Define an onDataStateChange handler. Its purpose is to update dataState after each user interaction. In turn, this will cause the Grid to refresh and display the expected data.

  4. To display the correct Grid data, you bind the Grid to the output of a function, rather than the products array directly. For this purpose, import the process function from the kendo-data-query package.

    jsx
    import { process } from '@progress/kendo-data-query';
  5. Finally, add Grid filtering through the DropDownList. To do that, use the existing handleDropDownChange function and add a filter descriptor to gridDataState. As the number of data items and pages will decrease, reset the page index (skip) to zero.

Sample Code with all React Grid Features Enabled

To see all these features in action, copy the updated App.js code below. This code includes the implementation for the features described above.

jsx
import React from 'react';
import './App.scss';
import categories from './categories.json';
import products from './products.json';
import { process } from '@progress/kendo-data-query';
import { Grid, GridColumn, GridCustomCellProps } from '@progress/kendo-react-grid';
import { DropDownList } from '@progress/kendo-react-dropdowns';
import { Checkbox } from '@progress/kendo-react-inputs';

const CheckboxColumn = (props: GridCustomCellProps) => {
    return (
        <td {...props.tdProps} colSpan={1}>
            <Checkbox type="checkbox" checked={props.dataItem[props.field]} disabled="disabled" />
        </td>
    );
};

function App() {
    const [categody, setCategory] = React.useState(null);
    const [dataState, setDateState] = React.useState({
        sort: [{ field: 'ProductName', dir: 'asc' }],
        skip: 0,
        take: 10
    });

    const handleDropDownChange = React.useCallback(
        (event) => {
            let newDataState = { ...dataState };
            if (event.target.value.CategoryID !== null) {
                newDataState.filter = {
                    logic: 'and',
                    filters: [
                        {
                            field: 'CategoryID',
                            operator: 'eq',
                            value: event.target.value.CategoryID
                        }
                    ]
                };
                newDataState.skip = 0;
            } else {
                newDataState.filter = [];
                newDataState.skip = 0;
            }

            setCategory(event.target.value.CategoryID);
            setDateState(newDataState);
        },
        [dataState]
    );

    const handleGridDataStateChange = (event) => {
        setDateState(event.dataState);
    };

    return (
        <div className="App">
            <h1>Hello KendoReact!</h1>
            <p>
                <DropDownList
                    data={categories}
                    dataItemKey="CategoryID"
                    textField="CategoryName"
                    defaultItem={{ CategoryID: null, CategoryName: 'Product categories' }}
                    onChange={handleDropDownChange}
                />
                &nbsp; Selected category ID: <strong>{categody}</strong>
            </p>

            <Grid
                data={process(products, dataState)}
                pageable={true}
                sortable={true}
                {...dataState}
                onDataStateChange={handleGridDataStateChange}
                style={{ height: '400px' }}
            >
                <GridColumn field="ProductName" title="Product Name" />
                <GridColumn field="UnitPrice" title="Price" format="{0:c}" />
                <GridColumn field="UnitsInStock" title="Units in Stock" />
                <GridColumn field="Discontinued" cells={{ data: CheckboxColumn }} />
            </Grid>
        </div>
    );
}

export default App;

In this section, you added a robust Data Grid to your application—enhanced with paging, filtering, and sorting—and you explored the KendoReact APIs.

Feel free to explore the KendoReact Grid documentation pages to get a sense of just how many things the Grid can do. Next, let's add a KendoReact DropDownList to the React app.

4. Adding the KendoReact Window

The products array contains some fields that are not displayed in the Grid that you added previously. To display these additional product details when users select a Grid row, you’ll use the free KendoReact Window. Responding to user actions and displaying information from the Grid in other React components is a very common interaction between KendoReact components.

To use the free KendoReact Window in the sample application:

  1. Import the Window component.

    jsx
    import { Window } from '@progress/kendo-react-dialogs';
  2. Define new windowVisible and gridClickedRow constants in your application state.

    jsx
    const [windowVisible, setWindowVisible] = React.useState(false);
    const [gridClickedRow, setGridClickedRow] = React.useState({});
  3. Add a row click handler to the Grid.

    jsx
    <Grid onRowClick={handleGridRowClick}></Grid>
  4. Add the handleGridRowClick function that will set the windowVisible flag to true and save the Grid data item in the application state. You’ll use the data item values to render the Window's content.

    jsx
    handleGridRowClick = (event) => {
        setWindowVisible(true);
        setGridClickedRow(event.dataItem);
    };
  5. Immediately after the </Grid>, add the Window declaration. Note that the Window will be rendered only if the windowVisible flag value is true.

    jsx
    {
        windowVisible && (
            <Window title="Product Details" onClose={closeWindow} height={250}>
                <dl style={{ textAlign: 'left' }}>
                    <dt>Product Name</dt>
                    <dd>{gridClickedRow.ProductName}</dd>
                    <dt>Product ID</dt>
                    <dd>{gridClickedRow.ProductID}</dd>
                    <dt>Quantity per Unit</dt>
                    <dd>{gridClickedRow.QuantityPerUnit}</dd>
                </dl>
            </Window>
        );
    }
  6. Finally, add the following Window close handler, which will set the windowVisible flag to false when the user closes the Window.

    jsx
    const closeWindow = React.useCallback((event) => {
        setWindowVisible(false);
    }, []);

With this code in place, try clicking a row in the grid. A custom window with additional product information appears.

With KendoReact, you get a powerful collection of React components that are easy to add to your app and solve hard problems—in this case, building a customizable cross-browser-friendly Window. That’s the power of KendoReact!

To learn more about the Window component and what it can do, see the KendoReact Window documentation.

5. Getting the Sample App Source Code

Your KendoReact Getting Started application is complete! You can download and run the complete sample application from the kendo-react-getting-started GitHub repository. Alternatively, run, fork and experiment with the application directly in StackBlitz.

This article shows just a glimpse of what you can create with KendoReact. We hope we’ve managed to inspire you how to become a more productive React developer and build complex UI in no time with our professional UI library.

Resources

Let's look at a few more tips and tools that can help you master KendoReact.

1. AI Tools

KendoReact provides AI-powered development assistance through a unified MCP (Model Context Protocol) server that integrates directly with your IDE. The server delivers intelligent, context-aware assistance and automatically activates the appropriate tier based on your Telerik license:

  • Agentic UI Generator (requires DevCraft Complete/Ultimate subscription)—Transforms natural language descriptions into complete, production-ready React UIs. Describe your desired page layout, component configuration, or styling requirements, and the generator will create fully functional, responsive code with proper KendoReact component integration, advanced layout capabilities, custom styling, and accessibility features.
  • AI Coding Assistant (available with any subscription)—Provides instant answers to your questions, generates code samples for specific KendoReact components, and offers troubleshooting guidance. Get context-aware help tailored to component-level development without leaving your IDE.

This unified MCP server works seamlessly with popular IDEs like Visual Studio Code and Cursor, providing contextual assistance throughout your development workflow based on your license tier.

2. Building Blocks and Page Templates

Page Templates offer ready-to-use React layouts that effectively integrate the KendoReact components. These templates consist of Building Blocks, which are the individual elements that form the complete layouts. The templates and blocks streamline the development process by providing pre-designed, customizable elements. For more details, refer to the Building Blocks and Page Templates documentation.

3. ThemeBuilder

To take full control over the appearance of the KendoReact components, you can create your own styles by using ThemeBuilder.

ThemeBuilder is a web application that enables you to create new themes and customize existing ones. Every change that you make is visualized almost instantly. Once you are done styling the React components, you can export a zip file with the styles for your theme and use them in your React app.

4. UI Kits for Figma

KendoReact comes with four UI Kits for Figma: Material, Bootstrap, Fluent, and Kendo UI Default. They provide the designers of your application with building blocks that match the UI components available in the KendoReact suite. Having matching building blocks guarantees the smooth implementation of the design.

5. VS Code Extension

To help you create projects even faster, we introduced the Kendo UI Productivity Tools extension for Visual Studio Code. This extension comes with a handy template wizard that facilitates the creation of new projects and with a rich code snippet library that allows you to add KendoReact components to your project.

6. TypeScript Support

All KendoReact components are natively written with TypeScript and provide all of the benefits of TypeScript, like typings, IntelliSense, and many others. The complete getting started example is also available in TypeScript.

Sample Applications

If you want to see more KendoReact components in action, check out our feature-packed sample applications for inspiration:

  1. Finance Portfolio Application
  2. Coffee Warehouse Dashboard Application
  3. Github Issues Grid

Getting Started with Kendo UI for Angular

Updated on Aug 1, 2025

In this article, you will learn the basics about working with Kendo UI for Angular. First, you will complete the installation steps necessary to get an Angular project up and running. Next, you will see how to use multiple Kendo UI for Angular components. And finally, you will learn about a few useful learning resources that will help you be successful with the library.

Let’s get started.

ninja-iconKendo UI for Angular is a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

Installing Your First Kendo UI for Angular Component

1. Set Up the Angular Project

Do You Prefer Video?

You can set up an Angular project and add Kendo UI for Angular components by following the steps in this guide. Alternatively, you can check our Angular video tutorials or our full-blown video course.

  1. Install the @angular/cli globally using the npm package manager. The Angular CLI is a command-line interface tool that helps you to initialize, develop, scaffold, and maintain your Angular applications directly from a command shell.

    bash
    npm install -g @angular/cli
  2. Create an Angular project using ng new command. The kendo-angular-app is the name of our testing project.

    • As of version 17.0.0, Angular makes standalone component enabled by default.
      bash
      ng new kendo-angular-app
    • If you want to stick to NgModules use --standalone false flag.
      bash
      ng new kendo-angular-app --standalone false

    The ng new command will prompt you for a few settings of the new Angular app. Let's use these:

    • Which stylesheet format would you like to use? - CSS is selected by default. Press Enter
    • Do you want to enable Server-Side Rendering (SSR) and Static Site Generation (SSG/Prerendering)? - No
  3. When the new project is generated, replace the content of src/app/app.component.html with:

    html
    <h1>Hello Kendo UI for Angular!</h1>
  4. Build and open the Angular app in the browser. Navigate the terminal to the newly created application and run ng serve command of the Angular CLI.

    bash
    cd kendo-angular-app
    ng serve -o

We are ready to dive into Kendo UI for Angular! Next, we will install and add several components of the library.

2. Using Kendo UI for Angular Components

Kendo UI for Angular is a library of 110+ fully native components for building high-quality modern Angular UI. In this section, you will learn how to use one of these components, the Calendar, in only three steps.

  1. Let's add the Calendar component to the project. For that purpose, the DateInputs package needs to be installed.

    bash
    ng add @progress/kendo-angular-dateinputs

    The ng add command will perform several actions automatically to facilitate the developer:

    • Add the @progress/kendo-angular-dateinputs package as a dependency to the package.json file.
    • Register the Kendo UI Default theme in the angular.json file.
    • Add all required peer dependencies to the package.json file.
    • Run npm install to install the theme and all peer packages that are added.
  2. Open src/app/app.component.html and add the Calendar component to your markup.

    html
    <kendo-calendar></kendo-calendar>
  3. Open src/app/app.component.ts and import the KENDO_DATEINPUTS utility array in your standalone component.

    ts
    import { KENDO_DATEINPUTS } from '@progress/kendo-angular-dateinputs';
    
    @Component({
      selector: 'app-root',
      imports: [RouterOutlet, KENDO_DATEINPUTS],
      // ...
    })
  4. Build and open the app in the browser. There you have a fully functioning calendar in two lines of code!

    bash
    ng serve -o

Using the many other Kendo UI for Angular components is as straightforward as using the Calendar—install the corresponding package and use the component’s markup in your apps.

As a final step to getting Kendo UI for Angular up and running, let’s look at how to handle licensing next.

3. Activating Your Trial or Commercial License

Kendo UI for Angular is a professionally developed library distributed under a commercial license.

Using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. To activate your license follow the instructions on the Activating Your License Key page.

Now that you have components installed, and licensing set up, you’re ready to start developing with Kendo UI for Angular! Feel free to explore the full components list or follow the tutorial below to learn how to combine multiple components and make them work together.

Utilizing the Kendo UI for Angular AI Coding Assistant

Kendo UI for Angular features an integrated AI Coding Assistant designed to help you get answers, code samples, and troubleshooting tips as you work with Kendo UI for Angular. You can try asking the assistant to generate a tailored snippets for a specific Kendo UI for Angular component or to explain how to enable a particular feature in your app, making it a great way to get instant, relevant help as you explore the library.

Give it a try as you follow this guide or build your next project! Try AI Assistants

Integrating Multiple Kendo UI for Angular Components

Kendo UI for Angular is a rich suite of many modular components. Next, you will use two of these components (Grid and DropDownList) to build a small demo application.

Before continuing, remove the Calendar from the page so that you have a blank app to work with.

1. Adding Kendo UI for Angular Data Grid

Let's add the Kendo UI for Angular Grid to our app.

  1. The Grid package installation requires a single step when using the ng add command.

    bash
    ng add @progress/kendo-angular-grid
  2. Import the KENDO_GRID utility array in your standalone component.

  3. Add some data to the app. For simplicity, we will use static local JSON data and a service that you can later modify to use remote data. Create the following two files in src/app folder and copy-paste their content from the linked files in GitHub:

  4. In the src/app/app.component.ts file, add the ProductService as a provider and import the CommonModule in the component declaration.

    ts
    import { ProductService } from "./product.service";
    import { CommonModule } from '@angular/common';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, /*...*/]
      providers: [ProductService]
    })
  5. Add the AppComponent class members that we will use to page and sort the Grid.

    ts
    export class AppComponent {
        // ...
        public gridItems: Observable<GridDataResult> | undefined;
        public pageSize: number = 10;
        public skip: number = 0;
        public sortDescriptor: SortDescriptor[] = [];
        public filterTerm: number | null = null;
    }
  6. Handle the sortChange and pageChange events to process the Grid data and update the view.

    ts
    export class AppComponent {
        // ...
        constructor(private service: ProductService) {
            this.loadGridItems();
        }
    
        public pageChange(event: PageChangeEvent): void {
            this.skip = event.skip;
            this.loadGridItems();
        }
    
        public handleSortChange(descriptor: SortDescriptor[]): void {
            this.sortDescriptor = descriptor;
            this.loadGridItems();
        }
    
        private loadGridItems(): void {
            this.gridItems = this.service.getProducts(
              this.skip,
              this.pageSize,
              this.sortDescriptor,
              this.filterTerm
            );
        }
    }
  7. Finally, add the Grid markup in src/app/app.component.html, rebuild, and check the Grid in your browser.

    html
    <kendo-grid
        [data]="gridItems | async"
        [pageSize]="pageSize"
        [skip]="skip"
        [pageable]="true"
        (pageChange)="pageChange($event)"
        [sortable]="true"
        [sort]="sortDescriptor"
        (sortChange)="handleSortChange($event)"
        [height]="400"
        >
        <kendo-grid-column field="ProductID" title="ID"></kendo-grid-column>
        <kendo-grid-column field="ProductName" title="Product Name"></kendo-grid-column>
        <kendo-grid-column field="Category.CategoryName" title="Category"></kendo-grid-column>
        <kendo-grid-column field="UnitPrice" title="Unit Price" format="{0:c}"></kendo-grid-column>
        <kendo-grid-column field="Discontinued" filter="boolean">
            <ng-template kendoGridCellTemplate let-dataItem>
                <input type="checkbox" [checked]="dataItem.Discontinued" disabled />
            </ng-template>
        </kendo-grid-column>
    </kendo-grid>

In this section, you added a robust Data Grid to your application, enhanced with paging, and sorting. Feel free to explore the Kendo UI for Angular Grid documentation pages to get a sense of just how many things the Grid can do.

2. Adding Kendo UI for Angular DropDownList

Let's add the Kendo UI for Angular DropDownList to our app and bind it to an array of objects.

  1. The DropDowns package installation requires a single step when using the ng add command.

    sh
    ng add @progress/kendo-angular-dropdowns
  2. Import the KENDO_DROPDOWNS utility array in your standalone component.

  3. Add some data for the DropDownList. For simplicity, we will use static local JSON data. You can later modify to use remote data. Create a data.categories.ts file in src/app folder and copy-paste the content from this GitHub file.

    Open src/app/app.component.ts and import categories and Category type from data.categories.

    ts
    import { categories, Category } from "./data.categories";
  4. In src/app/app.component.ts file, declare the variables that we will use inside the DropDownList declaration. To display a hint for the users when no item is selected, use the defaultItem property. The default item must have a field that matches the textField and valueField names.

    ts
    export class AppComponent {
        public dropDownItems: Category[] = categories;
        public defaultItem: Category = { text: "Filter by Category", value: null };
    }
  5. Open src/app/app.component.html and add the DropDownList markup.

    html
    <kendo-dropdownlist
        [data]="dropDownItems"
        [defaultItem]="defaultItem"
        textField="text"
        valueField="value"
        [style.width.px]="170"
    >
    </kendo-dropdownlist>
  6. Finally, provide the Angular animations in the app.config.ts file to enable the DropDownList animations.

    ts
    import {provideAnimations} from '@angular/platform-browser/animations';
    
    export const appConfig: ApplicationConfig = {
      providers: [/*...*/, provideAnimations()]
    };

The data property of the DropDownList points to an array of objects or primitive values. In this case, we will use an array of objects and therefore specify both the valueField and textField properties.

3. Configuring Advanced Grid Filtered by DropDownList

Finally, let's add some component interaction. The Grid has a built-in filtering UI, but instead, we will use the DropDownList to filter the Grid by product category. To achieve this:

  1. Bind the valueChange event of the DropDownList in src/app/app.component.html.

    html
    <kendo-dropdownlist
        [data]="dropDownItems"
        (valueChange)="handleFilterChange($event)"
    >
    </kendo-dropdownlist>
    
  2. Add the handleFilterChange method in src/app/app.component.ts.

    ts
    export class AppComponent {
      // ...
      public handleFilterChange(item: Category): void {
        this.filterTerm = item.value;
        this.skip = 0;
        this.loadGridItems();
      }
    }

4. Getting the Complete Source Code

Your Kendo UI for Angular Getting Started application is complete!

Kendo UI for Angular - Getting Started application

You can download and run the complete sample application from the kendo-angular-quickstart-cli GitHub repository. Alternatively, run, fork and experiment with the application directly in StackBlitz.

This article shows just a glimpse of what you can create with Kendo UI for Angular. We hope we have managed to inspire you how to become a more productive Angular developer and build complex UI in no time with our professional UI library.

Resources

Let’s look at a few more tips and tools that can help you get the most out of Kendo UI for Angular.

1. Building Blocks and Page Templates

Page Templates offer ready-to-use Angular layouts that effectively integrate the Kendo UI for Angular components. These templates consist of Building Blocks, which are the individual elements that form the complete layouts. The templates and blocks streamline the development process by providing pre-designed, customizable elements. For more details, refer to the Building Blocks and Page Templates documentation.

2. ThemeBuilder

To take full control over the appearance of the Kendo UI for Angular components, you can create your own styles by using ThemeBuilder.

ThemeBuilder is a web application that enables you to create new themes and customize existing ones. Every change that you make is visualized almost instantly. Once you are done styling the Angular components, you can export a zip file with the styles for your theme and use them in your Angular app.

3. UI Kits for Figma

Kendo UI for Angular comes with four UI Kits for Figma: Material, Bootstrap, Fluent, and Kendo UI Default. They provide the designers of your application with a building block that matches the UI components available in the Kendo UI for Angular suite. Having matching building blocks guarantees the smooth implementation of the design.

4. Video Courses

The Progress® Video Courses contains training courses and represents a free on-demand technical training program which is available for both active trial users and active license holders. Each session provides practical knowledge and helpful approaches to application development which are suitable for both junior and senior developers.

5. Kendo UI Productivity Tools

To help you create projects even faster, Telerik introduced the Kendo UI Productivity Tools extension for Visual Studio Code. This extension comes with a handy template wizard that facilitates the creation of new projects and with a rich code snippet library that allows you to add Kendo UI for Angular components to your project.

Sample Applications

If you want to see more Kendo UI for Angular components in action, check our cool and interesting sample applications:

  1. Finance Portfolio Application
  2. Coffee Warehouse Dashboard Application
  3. My Stock Portfolio
  4. CryptoVault

Next Steps

We are sure that you are looking for more—browse the components section and discover the amazing features that Kendo UI for Angular brings to the table.

Happy coding!

New to Kendo UI for VueStart a free 30-day trial

Get Started with Kendo UI for Vue Native Components with JavaScript and Composition API

Updated over 6 months ago

In this article you’ll learn how to use Kendo UI for Vue components by building a small app that includes a Grid, a DropDownList, a Window and a design theme.

The current example uses the recommended by Vue Vite build tool + Vue Composition API. If you need Getting started information that uses Vue Options API, you can check this link.

1. Set up the Vue project

  • The recommended way to start with Vue is to scaffold a project using Vite. To create a new Vite project use one of the following commands for NPM or Yarn.

Create project commands:

sh
npm create vite@latest

or

sh
yarn create vite

When one of the above commands is executed, the interface will ask you to apply additional configurations to your project:

  1. Set the project name:

Here we can define the name of our new project. For the needs of the current article, set the name of the application as my-app

  1. Select the framework - Choose Vue here:
Vite Select Framework
  1. Select the framework variant - Choose Javascript to build a Vite project with Vue and Javascript.
Vite Select Framework Variant

When you are ready with the above steps, to run the newly created project do the following commands:

sh
  cd my-app
  npm install
  npm run dev

2. Prepare the Generated Project

By default, the Vite scaffolding generates a template for Vue project that uses the Composition API available in the framework. If you use the Vue Options API,a getting started article with it can be found on this link.

Before you start playing with Kendo UI for Vue, let’s clean up the sample app a bit. Here is a list of suggested edits:

  • In the src/components folder, delete the HelloWorld.vue file

  • In the src/App.vue file:

    • Remove the import of the HelloWorld component
    js
    import HelloWorld from './components/HelloWorld.vue'
    • Remove the following code from the template definition:
    html
    <div>
    <a href="https://vitejs.dev" target="_blank">
      <img src="/vite.svg" class="logo" alt="Vite logo" />
    </a>
    <a href="https://vuejs.org/" target="_blank">
      <img src="./assets/vue.svg" class="logo vue" alt="Vue logo" />
    </a>
    </div>
    <HelloWorld msg="Vite + Vue" />
    • Remove the following CSS styles
    css
    .logo {
      height: 6em;
      padding: 1.5em;
      will-change: filter;
    }
    .logo:hover {
      filter: drop-shadow(0 0 2em #646cffaa);
    }
    .logo.vue:hover {
      filter: drop-shadow(0 0 2em #42b883aa);
    }

Now, when we are ready with the blank Vue project, we can continue the development of our sample application.

3. Add Application Data

Add dummy data needed by the components. Create folder appdata in the src folder. Add the following files to the appdata folder.

  • Add a src/appdata/categories.json file and copy the content from this GitHub file.
  • Add a src/appdata/products.json file and copy the content from this GitHub file.

4. Import Kendo UI for Vue components

Kendo UI for Vue is distributed as multiple NPM packages, scoped to @progress. For example, the name of the Grid package is @progress/kendo-vue-grid.

Kendo UI for Vue is a rich suite of many modular components. For our dashboard example, we’ll use three of these components: The Grid, the DropDownList and the Window.

Let’s add the mentioned components’ packages and their dependencies:

sh
npm install --save @progress/kendo-vue-grid @progress/kendo-data-query @progress/kendo-vue-inputs @progress/kendo-vue-intl @progress/kendo-vue-dropdowns @progress/kendo-vue-dateinputs @progress/kendo-drawing @progress/kendo-vue-data-tools @progress/kendo-vue-animation @progress/kendo-licensing @progress/kendo-svg-icons @progress/kendo-vue-indicators

or

sh
yarn add @progress/kendo-vue-grid @progress/kendo-data-query @progress/kendo-vue-inputs @progress/kendo-vue-intl @progress/kendo-vue-dropdowns @progress/kendo-vue-dateinputs @progress/kendo-drawing @progress/kendo-vue-data-tools @progress/kendo-vue-animation @progress/kendo-licensing @progress/kendo-svg-icons @progress/kendo-vue-indicators

With the above, we not only add the packages of the Grid and DropDownList but also add another important package – kendo-data-query. It contains useful functions for client-side data operations.

To install the Window component run the following:

sh
npm install --save @progress/kendo-vue-dialogs @progress/kendo-licensing @progress/kendo-svg-icons

or

sh
yarn add @progress/kendo-vue-dialogs @progress/kendo-licensing @progress/kendo-svg-icons

5. Import the Kendo UI for Vue CSS styles

Kendo UI for Vue includes four gorgeous themes, which are all available as separate NPM packages. The available theme packages are @progress/kendo-theme-default, @progress/kendo-theme-bootstrap, @progress/kendo-theme-material and @progress/kendo-theme-fluent.

Let’s take the Default theme and install it just like we did with the component packages:

sh
npm install --save @progress/kendo-theme-default

or

sh
yarn add --save @progress/kendo-theme-default

Import the CSS files from the package in the src/App.vue file. If needed, any additional custom styles can be added in the <styles> tag of the src/App.vue file.

Here is what we should add:

js
import '@progress/kendo-theme-default/dist/all.css';

6. Add a Kendo UI for Vue DropDownList

Now that you have everything set up and ready to go, let’s begin using the Kendo UI for Vue components, starting with the DropDownList component. Before we continue, the first thing we should do is to import the already installed DropDownList component into the src/App.vue file and the appdata/categories.json file using the following code:

js
import { DropDownList } from '@progress/kendo-vue-dropdowns';
import categories from './appdata/categories.json';

Add the DropDownList component with the following code:

js
export default defineComponent({
  components: {
    'dropdownlist': DropDownList,
  },
//..............

After importing the component, use the code below to bind a DropDownList to a list of categories.

html
<dropdownlist
    :data-items="categories"
    :data-item-key="'CategoryID'"
    :text-field="'CategoryName'"
    >
</dropdownlist>

The data-items property of the DropDownList points to an array of objects or primitive values. In this case, you’re using an array of objects, and therefore specify both data-item-key and text-field properties.

You can also use the default-item property to display a hint for the users when no item is selected. The default item should have a field that matches the text-field name.

To show a little more of the DropDownList in action, update the src/App.vue file to use the below code.

html
<template>
  <div id="app">
    <h1>Hello Kendo UI for Vue!</h1>
    <p>
      <dropdownlist
        :data-items="categories"
        :data-item-key="'CategoryID'"
        :text-field="'CategoryName'"
        :default-item="defaultItems"
        @change="handleDropDownChange"
      ></dropdownlist>&nbsp; Selected category ID:
      <strong>{{ dropdownlistCategory }}</strong>
    </p>
  </div>
</template>

<script>
import { ref, defineComponent } from 'vue';
import { categoriesData } from './appdata/categories';
import { DropDownList } from '@progress/kendo-vue-dropdowns';

export default defineComponent({
  components: {
    dropdownlist: DropDownList,
  },
  setup() {
    const categories = categoriesData;
    const defaultItems = { CategoryID: null, CategoryName: "Product categories" };
    const dropdownlistCategory = ref(null);
    const handleDropDownChange = (e) => {
      dropdownlistCategory.value = e.target.value.CategoryID;
    };

    return {
      categories, defaultItems, handleDropDownChange, dropdownlistCategory
    }
  }

})
</script>

The above code additionally renders the ID of the selected category next to the DropDownList. You do this by defining a dropdownlistCategory field in the data options and implementing an onChange handler to set it.

With the things added above, you can already test the Native DropDownList component. If you need a basic test of the Kendo UI for Vue Native suite, you can stop here or continue further with the more complex scenario where the Grid and Window components are used.

7. Add a Kendo UI for Vue Data Grid

Now that you’ve seen what a basic Kendo UI for Vue component looks like, let’s next implement something more complex with the Kendo UI for Vue Data Grid.

The Kendo UI for Vue Data Grid provides 100+ ready-to-use features, covering everything from paging, sorting, filtering, editing and grouping, to row and column virtualization and Excel export. In this section you’ll try out several of these features, but let’s start by seeing a simple Grid in action.

Import the Grid component, the process package and the products.json file to the src/App.vue file.

js
import products from './appdata/products.json';
import { process } from '@progress/kendo-data-query';
import { Grid } from '@progress/kendo-vue-grid';

Add the code below to create a Grid bound to your list of products. Add it right after the <p> that contains the DropDownList in the template inside the src/App.vue file.

html
<grid
  :data-items="products"
  :columns="columns"
></grid>

Define the Grid component with the following code:

js
import { defineComponent } from 'vue';
  components: {
    'dropdownlist': DropDownList,
    'grid': Grid,
  },
//..............

In the data options add the following lines:

js
setup() {
    //..............
    const products = productsData;
    const columns = [
      { field: 'ProductName', title: 'Product Name' },
      { field: 'UnitPrice', title: 'Price' },
      { field: 'UnitsInStock', title: 'Units in Stock' },
      { field: 'Discontinued' }
    ];

    return {
      products, columns, ........
    }
}

When your browser refreshes, you’ll see your first Grid! Pretty simple, but not quite real-world yet.

To fill out this example, let’s use the Grid APIs to add the list of features below. Read through the features, and then grab the updated App.vue code (below) to try the updated Grid for yourself.

Here is how we can implement the above functionality:

  • Enable each data operation separately in the Grid declaration ( :pageable="pageable" and :sortable="sortable"). Add the following properties in the data option.
js
setup() {
    //..............
    const pageable = ref(true);
    const sortable = ref(true);
    //..............

    return {
      pageable, sortable, ........
    }
}
  • Configure data operation settings and the initial state of the Grid data. For example:
    • The initial skip will be the first one.
    • The page size (take) will be 10.
    • The Grid will be initially sorted by Product Name.
    • We will save all these settings in data properties and add them to the Grid using the below code:
js
setup() {
    //..............
    const skip = ref(0);
    const take = ref(10);
    const sort = ref([
      { field: "ProductName", dir: "asc" }
    ]);
    //..............

    return {
      skip, take, sort, ........
    }
}
  • To display the correct Grid data, we will bind the Grid to the output of a function, rather than the products array directly. We will use the imported process function, which is part of the kendo-data-query package. The result of the function will be stored in the dataResult data property.
  • Define a dataStateChange handler. It does two things:
    • Update the state of the take, skip, filter and sort data properties after each user interaction via the createAppState function.
    • After the data properties are updated, the second thing that the function does is to get a result from the process function and set it to the dataResult property. This will cause the Grid to refresh and display the expected data. To display the applied data changes, we have to change the data-items property of the Grid to :data-items="dataResult".
  • Define a template for the Discontinued field of the Grid. Add the following inside the grid tag in the template section of the src/App.vue file
html
<template #discontinuedTemplate="{ props }">
	<td colspan="1">
		<input type="checkbox" :checked = props.dataItem.Discontinued disabled="disabled" />
	</td>
</template>

Edit the columns data property by adding the cell property for the Discontinued cell

js
const columns = [
  { field: 'ProductName', title: 'Product Name' },
  { field: 'UnitPrice', title: 'Price' },
  { field: 'UnitsInStock', title: 'Units in Stock' },
  { field: 'Discontinued', cell: 'discontinuedTemplate' }
];
  • Finally, we will add Grid filtering via the DropDownList. To do that, we will use the existing handleDropDownChange function and add a filter descriptor to gridDataState. We also need to reset the page index (skip) to zero, as the number of data items and pages will decrease.

To try all discussed above features, copy the below code and paste it in the App.vue file of your project.

html
<template>
  <div id="app">
    <h1>Hello Kendo UI for Vue!</h1>
    <p>
      <dropdownlist :data-items="categories" :data-item-key="'CategoryID'" :text-field="'CategoryName'"
        :default-item="defaultItems" @change="handleDropDownChange" @rowclick="rowClick"></dropdownlist>&nbsp; Selected
      category ID:
      <strong>{{ dropdownlistCategory }}</strong>
    </p>

    <grid :data-items="dataResult" :pageable="pageable" :sortable="sortable" :sort="sort" :take="take" :skip="skip"
      :columns="columns" @datastatechange="dataStateChange" @rowclick="rowClick" :style="{ height: '400px' }">
      <template #discontinuedTemplate="{ props }">
        <td :colspan="1">
          <input type="checkbox" :checked="props.dataItem.Discontinued" disabled="disabled" />
        </td>
      </template>
    </grid>
  </div>
</template>

<script>
import { ref, onMounted, defineComponent } from 'vue';
import productsData from './appdata/products';
import categoriesData from './appdata/categories';
import { process } from '@progress/kendo-data-query';
import { Grid } from '@progress/kendo-vue-grid';
import { DropDownList } from '@progress/kendo-vue-dropdowns';
import '@progress/kendo-theme-default/dist/all.css';

export default defineComponent({
  components: {
    dropdownlist: DropDownList,
    grid: Grid,
  },
  setup() {
    onMounted(() => {
      const dataState = {
        skip: skip.value,
        take: take.value,
        sort: sort.value,
      };
      dataResult.value = process(products, dataState);
    });

    const categories = categoriesData;
    const products = productsData;
    const defaultItems = { CategoryID: null, CategoryName: "Product categories" };
    const dropdownlistCategory = ref(null);
    const pageable = ref(true);
    const sortable = ref(true);
    const skip = ref(0);
    const take = ref(10);
    const sort = ref([
      { field: "ProductName", dir: "asc" }
    ]);

    const filter = ref({ logic: "and", filters: [] });


    const columns = [
      { field: 'ProductName', title: 'Product Name' },
      { field: 'UnitPrice', title: 'Price' },
      { field: 'UnitsInStock', title: 'Units in Stock' },
      { field: 'Discontinued', cell: 'discontinuedTemplate' }
    ];

    const dataResult = ref({ data: [], total: 0 });
    const gridClickedRow = ref({});

    const handleDropDownChange = (e) => {
      dropdownlistCategory.value = e.target.value.CategoryID;
      if (e.target.value.CategoryID !== null) {
        filter.value = {
          logic: 'and',
          filters: [{ field: 'CategoryID', operator: 'eq', value: e.target.value.CategoryID }]
        };
        skip.value = 0;
      } else {
        filter.value = {};
        skip.value = 0;
      }

      const event = {
        data: {
          skip: skip.value,
          take: take.value,
          sort: sort.value,
          filter: filter.value
        }
      };

      dataStateChange(event);
    };

    const createAppState = (dataState) => {
      take.value = dataState.take;
      skip.value = dataState.skip;
      sort.value = dataState.sort;
    };

    const dataStateChange = (event) => {
      createAppState(event.data);
      if (event.data.filter !== undefined && event.data.filter.logic) {
        dataResult.value = process(products, {
          skip: event.data.skip,
          take: event.data.take,
          sort: event.data.sort,
          filter: event.data.filter
        });
      } else {
        dataResult.value = process(products, {
          skip: event.data.skip,
          take: event.data.take,
          sort: event.data.sort,
        });
      }
    };

    const rowClick = (event) => {
      gridClickedRow.value = event.dataItem;
    };

    return {
      dropdownlistCategory, categories, defaultItems,
      pageable, sortable, dataResult, columns,
      sort, take, skip, gridClickedRow,
      dataStateChange, handleDropDownChange, rowClick,
    };
  }

});
</script>

In this section you were able to add a robust grid to your application—complete with paging, filtering, and sorting. Not a bad accomplishment for a few minutes' worth of work! Feel free to explore the Kendo UI for Vue Data Grid documentation page to get a sense of just how many things the Grid can do.

8. Add a Kendo UI for Vue Window

The products array contains some fields which are not displayed in the Grid. In this section, you’ll use the Kendo UI for Vue Window to display those additional product details when users select a Grid row.

Here are the required steps. First import the Window component:

js
import { Window } from '@progress/kendo-vue-dialogs';

export default {
  components: {
    //..............
    'window': Window
  },
  //..............

Next, define new windowVisible and gridClickedRow data properties.

js
setup() {
    //..............
    const gridClickedRow = ref({});
    const windowVisible = ref(false);
    //..............

    return {
      gridClickedRow, windowVisible ........
    }
}

Next, add a row click handler to the Grid.

html
<grid @rowclick="rowClick">
    //..............
</grid>

After that, add the rowClick function below, which will set the windowVisible flag to true, and assign the data item of the clicked row to the gridClickedRow property. You’ll use the data item values to render the Window's content.

js
setup() {
    //..............
    const rowClick = (event: GridRowClickEvent) => {
      windowVisible.value = true;
      gridClickedRow.value = event.dataItem;
    };
    //..............

    return {
      rowClick, ........
    }
}

Next, add the following Window declaration. (Add it immediately after the Grid's definition in the template.) Notice how the Window will be rendered only if the windowVisible flag value is true.

html
<window v-if="windowVisible" :title="'Product Details'" @close="closeWindow" :height="250">
  <dl style="{textAlign:left}">
    <dt>Product Name</dt>
    <dd>{{gridClickedRow.ProductName}}</dd>
    <dt>Product ID</dt>
    <dd>{{gridClickedRow.ProductID}}</dd>
    <dt>Quantity per Unit</dt>
    <dd>{{gridClickedRow.QuantityPerUnit}}</dd>
  </dl>
</window>

Finally, add the following Window close handler, which will set the windowVisible flag to false when the user closes the Window.

js
setup() {
    //..............
    const closeWindow = () => {
      windowVisible.value = false;
    }
    //..............

    return {
      closeWindow, ........
    }
}

With this code in place, try tapping on a row in the Grid. You should see a custom Window appear with additional product information.

Once again, note how simple this functionality was to implement. With Kendo UI for Vue, you get a collection of Vue components that are easy to drop in and solve hard problems—in this case, building a customizable cross-browser-friendly Window. That’s the power of Kendo UI for Vue!

You can learn more about the Window component and what it can do on the Kendo UI for Vue Window documentation page.

9. Activate Your Trial or Commercial License

Kendo UI for Vue is a professionally developed library distributed under a commercial license. Starting from version 2.0.0, using any of the UI components from the Kendo UI for Vue library requires either a commercial license key or an active trial license key.

Since version 3.14.0 (13 September 2023) of Kendo UI for Vue, a missing license causes a watermark to appear over selected components. For more information, see the Invalid License section.

To experience the full potential of the Kendo UI for Vue components, follow the license activation instructions and hide the invalid/not-activated license messages and attributes. You can skip this step if your application already contains a Kendo UI for Vue license file.

10. Get the Complete Source Code

Your Kendo UI for Vue Getting Started application is complete! You can download and run the complete sample application from the kendo-vue GitHub repository. Alternatively, run, fork and experiment with the application directly in StackBlitz.

Vue 2 is currently in its end-of-support phase till Nov 2024. After our last major release for 2024, Vue 2 will no longer be supported in the new versions of the Kendo UI for Vue components. Please check our Vue 2 End of Support article for more details.

This article shows just a glimpse of what you can create with Kendo UI for Vue. We hope we’ve managed to get you excited about becoming more a productive Vue developer and building complex UI in a short time through our professional UI library. We’re in it for the long run, so dive in!"

Additional Resources

The resources in this section will help you get the most out of Kendo UI for Vue.

ThemeBuilder

To take full control over the appearance of the Kendo UI for Vue components, you can create your own styles by using ThemeBuilder.

ThemeBuilder is a web application that enables you to create new themes and customize existing ones. Every change that you make is visualized almost instantly. Once you are done styling the Vue components, you can export a zip file with the styles for your theme and use them in your Vue app.

UI Kits for Figma

Kendo UI for Vue comes with four UI Kits for Figma: Material, Bootstrap, Fluent, and Kendo UI Default. They provide the designers of your application with a building block that matches the UI components available in the Kendo UI for Vue suite. Having matching building blocks guarantees the smooth implementation of the design.

VSCode Extension

To help you create projects even faster we have introduced the Kendo UI VS Code Template Wizard. To learn more about this awesome extension please check Introducing the Kendo UI Template Wizard for Visual Studio Code.

Virtual Classroom

If you are aware of TypeScript and prefer the video tutorials, you can check our free Kendo UI for Vue with TypeScript course in Telerik Virtual Classroom.